<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: Tree&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_tree-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Tree&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_tree_8h_source.html">Tree.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Tree&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="class_tree__inherit__graph.png" border="0" usemap="#_tree_3_01_t_01_4_inherit__map" alt="Inheritance graph"/></div>
<!-- MAP 0 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Tree&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="class_tree__coll__graph.png" border="0" usemap="#_tree_3_01_t_01_4_coll__map" alt="Collaboration graph"/></div>
<!-- MAP 1 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad25b364afa8a3d318c9f029379b40a29"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tree.html#ad25b364afa8a3d318c9f029379b40a29">Tree</a> (const unsigned int=1, const unsigned int=1)</td></tr>
<tr class="separator:ad25b364afa8a3d318c9f029379b40a29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a778b842a28020b02f6b34f2a61451c25"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tree.html#a778b842a28020b02f6b34f2a61451c25">Tree</a> (const T &amp;, const unsigned int=1, const unsigned int=1)</td></tr>
<tr class="separator:a778b842a28020b02f6b34f2a61451c25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42310d852cd0998fbb46829b22cbc3e8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tree.html#a42310d852cd0998fbb46829b22cbc3e8">Tree</a> (const <a class="el" href="class_tree.html">Tree</a>&lt; T &gt; &amp;)</td></tr>
<tr class="separator:a42310d852cd0998fbb46829b22cbc3e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04affc46d89a0ef5d517ab685c9c346e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tree.html#a04affc46d89a0ef5d517ab685c9c346e">~Tree</a> ()</td></tr>
<tr class="separator:a04affc46d89a0ef5d517ab685c9c346e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a28225bf5cd7fb9a368f45eda53675e"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tree.html#a9a28225bf5cd7fb9a368f45eda53675e">getDepth</a> () const</td></tr>
<tr class="separator:a9a28225bf5cd7fb9a368f45eda53675e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88ac234f0b0fa121e7428a4137f805dc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tree.html#a88ac234f0b0fa121e7428a4137f805dc">setDepth</a> (const unsigned int)</td></tr>
<tr class="separator:a88ac234f0b0fa121e7428a4137f805dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af96086869a67183512d5307c8f7eba5c"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tree.html#af96086869a67183512d5307c8f7eba5c">getCurrentLevel</a> () const</td></tr>
<tr class="separator:af96086869a67183512d5307c8f7eba5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe81138ebb2a19e433cbc33989f6c022"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tree.html#afe81138ebb2a19e433cbc33989f6c022">setCurrentLevel</a> (const unsigned int)</td></tr>
<tr class="separator:afe81138ebb2a19e433cbc33989f6c022"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0873bded62a93b11c59ac3bd7611a787"><td class="memItemLeft" align="right" valign="top">const T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tree.html#a0873bded62a93b11c59ac3bd7611a787">getData</a> () const</td></tr>
<tr class="separator:a0873bded62a93b11c59ac3bd7611a787"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93c745ff46b227da8387ce7d76047e84"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tree.html#a93c745ff46b227da8387ce7d76047e84">setData</a> (const T &amp;)</td></tr>
<tr class="separator:a93c745ff46b227da8387ce7d76047e84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a363fb6c488cae2435ce341d7b8a612ed"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tree.html#a363fb6c488cae2435ce341d7b8a612ed">getValid</a> () const</td></tr>
<tr class="separator:a363fb6c488cae2435ce341d7b8a612ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a113d512a32719bd7ca84d95a0af9a569"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tree.html#a113d512a32719bd7ca84d95a0af9a569">setValid</a> (const bool)</td></tr>
<tr class="separator:a113d512a32719bd7ca84d95a0af9a569"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad25b364afa8a3d318c9f029379b40a29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad25b364afa8a3d318c9f029379b40a29">&#9670;&nbsp;</a></span>Tree() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_tree.html">Tree</a>&lt; T &gt;::<a class="el" href="class_tree.html">Tree</a> </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newDepth</em> = <code>1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newCurrentLevel</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a778b842a28020b02f6b34f2a61451c25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a778b842a28020b02f6b34f2a61451c25">&#9670;&nbsp;</a></span>Tree() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_tree.html">Tree</a>&lt; T &gt;::<a class="el" href="class_tree.html">Tree</a> </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>newData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newCurrentLevel</em> = <code>1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newDepth</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a42310d852cd0998fbb46829b22cbc3e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42310d852cd0998fbb46829b22cbc3e8">&#9670;&nbsp;</a></span>Tree() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_tree.html">Tree</a>&lt; T &gt;::<a class="el" href="class_tree.html">Tree</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_tree.html">Tree</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>copy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a04affc46d89a0ef5d517ab685c9c346e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04affc46d89a0ef5d517ab685c9c346e">&#9670;&nbsp;</a></span>~Tree()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_tree.html">Tree</a>&lt; T &gt;::~<a class="el" href="class_tree.html">Tree</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af96086869a67183512d5307c8f7eba5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af96086869a67183512d5307c8f7eba5c">&#9670;&nbsp;</a></span>getCurrentLevel()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="class_tree.html">Tree</a>&lt; T &gt;::getCurrentLevel </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0873bded62a93b11c59ac3bd7611a787"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0873bded62a93b11c59ac3bd7611a787">&#9670;&nbsp;</a></span>getData()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const T <a class="el" href="class_tree.html">Tree</a>&lt; T &gt;::getData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9a28225bf5cd7fb9a368f45eda53675e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a28225bf5cd7fb9a368f45eda53675e">&#9670;&nbsp;</a></span>getDepth()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="class_tree.html">Tree</a>&lt; T &gt;::getDepth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a363fb6c488cae2435ce341d7b8a612ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a363fb6c488cae2435ce341d7b8a612ed">&#9670;&nbsp;</a></span>getValid()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="class_tree.html">Tree</a>&lt; T &gt;::getValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afe81138ebb2a19e433cbc33989f6c022"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe81138ebb2a19e433cbc33989f6c022">&#9670;&nbsp;</a></span>setCurrentLevel()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_tree.html">Tree</a>&lt; T &gt;::setCurrentLevel </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newCurrentLevel</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a93c745ff46b227da8387ce7d76047e84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93c745ff46b227da8387ce7d76047e84">&#9670;&nbsp;</a></span>setData()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_tree.html">Tree</a>&lt; T &gt;::setData </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>newData</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a88ac234f0b0fa121e7428a4137f805dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88ac234f0b0fa121e7428a4137f805dc">&#9670;&nbsp;</a></span>setDepth()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_tree.html">Tree</a>&lt; T &gt;::setDepth </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newDepth</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a113d512a32719bd7ca84d95a0af9a569"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a113d512a32719bd7ca84d95a0af9a569">&#9670;&nbsp;</a></span>setValid()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_tree.html">Tree</a>&lt; T &gt;::setValid </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>newValid</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/<a class="el" href="_tree_8h_source.html">Tree.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
